Manual inheritance and membership

Classes | Functions
manual.c File Reference

## Classes
struct | Object
| Object type. More...
struct | Vehicle
| Vehicle type. More...
struct | Car
| Car type. More...
struct | Truck
| Truck type. More...

## Functions
int | main (void)

## Function Documentation

## ◆ main()

int main | ( | void |  | ) |

Main function.

Ref vehicleStart(), objRef(), objUnref().

83 {
84 Car c;
85 vehicleStart((Vehicle*) &c);
86 }

References Vehicle::vehicleStart().

Truck
Truck type.
Definition: manual.c:71
main
int main(void)
Definition: manual.c:82
Car
Car type.
Definition: manual.c:61
Object
Object type.
Definition: manual.c:13
Vehicle::vehicleStart
void vehicleStart(Vehicle *obj)
Object::ref
int ref
Reference count.
Definition: manual.c:15
Car::base
Vehicle base
Base class.
Definition: manual.c:63
Object::objUnref
static Object * objUnref(Object *obj)
Object::objRef
static Object * objRef(Object *obj)
Truck::base
Vehicle base
Base class.
Definition: manual.c:73
Vehicle
Vehicle type.
Definition: manual.c:37
Vehicle::base
Object base
Base class.
Definition: manual.c:39
Vehicle::vehicleStop
void vehicleStop(Vehicle *obj)